## wannier90 3.0.0%2Bds

=== test-suite/checkpoints/example02/Makefile ===
all: $(patsubst %.win, %.chk.fmt.bz2, $(wildcard *.win))

%.chk.fmt.bz2: %.win
	$(eval SEEDNAME:=$(patsubst %.win, %, $<))
	echo $(SEEDNAME)
	../../../wannier90.x $< && ../../../w90chk2chk.x -u2f $(SEEDNAME) && bzip2 $(SEEDNAME).chk.fmt && rm $(SEEDNAME).chk

.PHONY: all

## wannier90 3.0.0+ds

=== Makefile ===
ifndef ROOTDIR
ROOTDIR=.
endif

REALMAKEFILE=../Makefile.2

TAR := $(shell if which gnutar 1>/dev/null 2> /dev/null; then echo gnutar; else echo tar; fi )

default: wannier post

all: wannier lib post w90chk2chk w90pov w90vdw

doc: thedoc

serialobjs: objdir
	(cd $(ROOTDIR)/src/obj && $(MAKE) -f $(REALMAKEFILE) serialobjs)

w90chk2chk: objdir serialobjs
	(cd $(ROOTDIR)/src/obj && $(MAKE) -f $(REALMAKEFILE) w90chk2chk)

wannier: objdir serialobjs
	(cd $(ROOTDIR)/src/obj && $(MAKE) -f $(REALMAKEFILE) wannier)

lib: objdir serialobjs
	(cd $(ROOTDIR)/src/obj && $(MAKE) -f $(REALMAKEFILE) libs)

dynlib: objdir serialobjs
	(cd $(ROOTDIR)/src/obj && $(MAKE) -f $(REALMAKEFILE) dynlibs)

w90pov:
	(cd $(ROOTDIR)/utility/w90pov && $(MAKE) )

w90vdw:
	(cd $(ROOTDIR)/utility/w90vdw && $(MAKE) )

libs: lib

post: objdirp
	(cd $(ROOTDIR)/src/objp && $(MAKE) -f $(REALMAKEFILE) post)

clean:
	cd $(ROOTDIR) && rm -f *~
	cd $(ROOTDIR) && rm -f src/*~
	@( cd $(ROOTDIR) && if [ -d src/obj ] ; \
		then cd src/obj && \
		$(MAKE) -f $(REALMAKEFILE) clean && \
		cd ../ && rm -rf obj ; \
	fi )
	@( cd $(ROOTDIR) && if [ -d src/objp ] ; \
		then cd src/objp && \
		$(MAKE) -f $(REALMAKEFILE) clean && \
		cd ../ && rm -rf objp ; \
	fi )
	$(MAKE) -C $(ROOTDIR)/doc/user_guide clean
	$(MAKE) -C $(ROOTDIR)/doc/tutorial clean
	$(MAKE) -C $(ROOTDIR)/utility/w90pov clean
	$(MAKE) -C $(ROOTDIR)/utility/w90vdw clean
	cd $(ROOTDIR)/test-suite && ./clean_tests

veryclean: clean
	cd $(ROOTDIR) && rm -f wannier90.x postw90.x libwannier.a w90chk2chk.x
	cd $(ROOTDIR)/doc && rm -f user_guide.pdf tutorial.pdf
	cd $(ROOTDIR)/doc/user_guide && rm -f user_guide.ps
	cd $(ROOTDIR)/doc/tutorial && rm -f tutorial.ps 
	cd $(ROOTDIR)/test-suite && ./clean_tests -i

thedoc:
	$(MAKE) -C $(ROOTDIR)/doc/user_guide 
	$(MAKE) -C $(ROOTDIR)/doc/tutorial 

# For now hardcoded to 3.0.0, and using HEAD
# Better to get the version from the io.F90 file and use
# the tag (e.g. v3.0.0) instead of HEAD
dist: 
	cd $(ROOTDIR) && git archive HEAD --prefix=wannier90-3.0.0/ -o wannier90-3.0.0.tar.gz

dist-legacy:
	@(cd $(ROOTDIR) && $(TAR) -cz --transform='s,^\./,wannier90-3.0/,' -f wannier90-3.0.tar.gz \
		./src/*.?90 \
		./src/postw90/*.?90 \
		./autodoc/README.txt \
		./autodoc/*.md \
		./autodoc/media/favicon*png \
		./examples/README \
		./examples/example01/UNK* \
		./examples/*/*.win \
		./examples/example0[2-4]/*.eig \
                ./examples/example0[1-4]/*.*mn \
		./examples/example0[5-9]/*.scf \
		./examples/example1[0-3]/*.scf \
		./examples/example0[5-9]/*.nscf \
		./examples/example1[0-3]/*.nscf \
		./examples/example0[5-9]/*.pw2wan \
		./examples/example1[0-3]/*.pw2wan \
		./examples/example1[4-5]/defected/*.scf \
		./examples/example1[4-5]/defected/*.nscf \
		./examples/example1[4-5]/defected/*.win \
		./examples/example1[4-5]/defected/*.pw2wan \
                ./examples/example1[4-5]/periodic/*.scf \
                ./examples/example1[4-5]/periodic/*.nscf \
                ./examples/example1[4-5]/periodic/*.win \
                ./examples/example1[4-5]/periodic/*.pw2wan \
                ./examples/example16-noqe/Si.amn \
                ./examples/example16-noqe/Si.mmn \
                ./examples/example16-noqe/Si.eig \
                ./examples/example16-withqe/Si.scf \
                ./examples/example16-withqe/Si.nscf \
                ./examples/example16-withqe/Si.pw2wan \
		./examples/example1[7-9]/*.scf \
		./examples/example1[7-9]/*.nscf \
		./examples/example1[7-9]/*.pw2wan \
		./examples/example20/*.scf \
		./examples/example20/*.nscf \
		./examples/example20/*.pw2wan \
		./examples/example20/SrMnO3/SrMnO3-d.pw2wan \
		./examples/example20/SrMnO3/SrMnO3-d.win \
		./examples/example20/SrMnO3/SrMnO3-eg.pw2wan \
		./examples/example20/SrMnO3/SrMnO3-eg.win \
		./examples/example20/SrMnO3/SrMnO3.nscf \
		./examples/example20/SrMnO3/SrMnO3.scf \
		./examples/example20/SrMnO3/SrMnO3-t2g.pw2wan \
		./examples/example20/SrMnO3/SrMnO3-t2g.win \
		./examples/example2[1-2]/README \
		./examples/example2[1-2]/*/*.scf \
		./examples/example2[1-2]/*/*.nscf \
		./examples/example2[1-2]/*/*.win \
		./examples/example2[1-2]/*/*.sym \
		./examples/example2[1-2]/*/*.pw2wan \
		./pseudo/*.UPF \
		./pwscf/README \
		./pwscf/v*/*.f90 \
		./pwscf/v*/README \
		./config/make.inc* \
		./utility/*.pl \
		./utility/PL_assessment/*.f90 \
		./utility/PL_assessment/README \
		./utility/w90vdw/w90vdw.f90 \
		./utility/w90vdw/README \
		./utility/w90vdw/doc/Makefile \
		./utility/w90vdw/doc/w90vdw.tex \
		./utility/w90vdw/examples/benzene_s_val/benzene_s_val.* \
                ./utility/w90vdw/examples/benzene_s_val/ref/benzene_s_val.* \
                ./utility/w90vdw/examples/benzene_s_cond/benzene_s_cond.* \
                ./utility/w90vdw/examples/benzene_s_cond/ref/benzene_s_cond.* \
		./utility/w90pov/doc/*.tex \
		./utility/w90pov/doc/*.pdf \
		./utility/w90pov/doc/figs/*.png \
		./utility/w90pov/src/*.f90 \
		./utility/w90pov/src/*.c \
		./utility/w90pov/examples/*/*.gz \
		./utility/w90pov/examples/*/*.inp \
		./utility/w90pov/examples/*/*.inc \
		./utility/w90pov/examples/*/*.pov \
		./utility/w90pov/examples/*/ref/*.png \
		./utility/w90pov/README \
		./utility/w90chk2chk/README \
                ./doc/*/*.tex \
                ./doc/*/*.eps \
                ./doc/*/*.fig \
		./doc/wannier90.bib \
		./*/Makefile \
		./*/Makefile.2 \
		./*/*/Makefile \
		./Makefile \
		./LICENSE \
		./README* \
		./CHANGE.log \
	)

test-serial: w90chk2chk wannier post  
	(cd $(ROOTDIR)/test-suite && ./run_tests --category=default )

test-parallel: w90chk2chk wannier post 
	(cd $(ROOTDIR)/test-suite && ./run_tests --category=default --numprocs=4 )

# Alias
tests: test-serial test-parallel

dist-lite:
	@(cd $(ROOTDIR) && $(TAR) -cz --transform='s,^\./,wannier90/,' -f wannier90.tar.gz \
		./src/*.?90 \
		./src/postw90/*.?90 \
		./config/* \
		./*/Makefile \
		./utility/*.pl \
		./*/Makefile \
		./*/Makefile.2 \
		./*/*/Makefile \
		./Makefile \
		./LICENSE \
		./README.* \
		./CHANGE.log \
	)

objdir: 
	@( cd $(ROOTDIR) && if [ ! -d src/obj ] ; \
		then mkdir src/obj ; \
	fi ) ;

objdirp: 
	@( cd $(ROOTDIR) && if [ ! -d src/objp ] ; \
		then mkdir src/objp ; \
	fi ) ;

.PHONY: wannier default all doc lib libs post clean veryclean thedoc dist test-serial test-parallel dist-lite objdir objdirp serialobjs tests

=== doc/tutorial/Makefile ===
tutorial.pdf: tutorial.tex
	pdflatex tutorial.tex 
	bibtex tutorial
	pdflatex tutorial.tex
	bibtex tutorial
	pdflatex tutorial.tex
#	mv tutorial.pdf ../
#	dvips -Ppdf -o tutorial.ps tutorial.dvi
#	ps2pdf tutorial.ps tutorial.pdf

clean :
	/bin/rm -f *.aux *.log *.lot *.lof *.toc *.dvi *.bak *~ *.ps

veryclean : clean
	rm -f tutorial.pdf

.PHONY:	clean veryclean

=== test-suite/tests/testpostw90_example04_dos/Makefile ===
all: $(patsubst %.chk.fmt.bz2, %.chk, $(wildcard *.chk.fmt.bz2))

%.chk: %.chk.fmt.bz2
	$(eval SEEDNAME:=$(patsubst %.chk.fmt.bz2, %, $<))
	echo $(SEEDNAME)
	cat $< | bunzip2 - > $(SEEDNAME).chk.fmt && ../../../w90chk2chk.x -f2u $(SEEDNAME) && rm $(SEEDNAME).chk.fmt

.PHONY: all

=== utility/w90vdw/doc/Makefile ===
default:
	latex w90vdw.tex
	latex w90vdw.tex
	dvipdf w90vdw.dvi w90vdw.pdf

clean:
	rm -f w90vdw.log w90vdw.aux w90vdw.dvi

veryclean: clean
	rm -f w90vdw.pdf

=== debian/changelog ===
wannier90 (3.0.0+ds-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:02:30 +0100

wannier90 (3.0.0+ds-4) unstable; urgency=medium

  * Forcing python3 for test drivers.

 -- Andrius Merkys <merkys@debian.org>  Tue, 31 Dec 2019 06:17:00 -0500

wannier90 (3.0.0+ds-3) unstable; urgency=medium

  * Adding a patch to skip flaky tests.

 -- Andrius Merkys <merkys@debian.org>  Mon, 30 Dec 2019 03:36:27 -0500

wannier90 (3.0.0+ds-2) unstable; urgency=medium

  * Improving debian/copyright.
  * Using full names in debian/copyright.
  * Build-depending on python3 instead of python.
  * Autopkgtest runner depends on python3.

 -- Andrius Merkys <merkys@debian.org>  Fri, 27 Dec 2019 04:01:27 -0500

wannier90 (3.0.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #578829)

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Apr 2019 01:55:26 -0400

=== debian/control ===
Source: wannier90
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper (>= 12),
 gfortran,
 ghostscript,
 libblas-dev,
 liblapack-dev,
 python3,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-plain-generic,
 texlive-publishers,
Standards-Version: 4.3.0
Homepage: http://www.wannier.org
Vcs-Git: https://salsa.debian.org/science-team/wannier90.git
Vcs-Browser: https://salsa.debian.org/science-team/wannier90

Package: wannier90
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: wannier90-data
Description: Maximally Localized Wannier Functions - executables
 Wannier90 is an electronic-structure software computing
 maximally-localized Wannier functions (MLWF). It works on top of other
 electronic-structure software, such as Abinit, FLEUR, and PwSCF.
 .
 This package provides Wannier90 executables.

Package: wannier90-data
Architecture: all
Depends:
 ${misc:Depends},
Description: Maximally Localized Wannier Functions - documentation and examples
 Wannier90 is an electronic-structure software computing
 maximally-localized Wannier functions (MLWF). It works on top of other
 electronic-structure software, such as Abinit, FLEUR, and PwSCF.
 .
 This package provides Wannier90 documentation, examples and a limited set of
 pseudo-potentials.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	cp config/make.inc.gfort.dynlib make.inc
	find test-suite -type f | sort > debian/test-suite.lst
	dh_auto_configure

override_dh_auto_build:
	mkdir --parents utility/w90pov/obj
	dh_auto_build -- all doc
	(cd utility/w90pov/doc/; pdflatex w90pov.tex)
	make -C utility/w90vdw/doc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PATH=$(CURDIR):${PATH} make test-serial
endif

override_dh_installexamples-indep:
	dh_install -p wannier90-data examples usr/share/doc/wannier90

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_auto_clean:
	test -e make.inc && dh_auto_clean -- veryclean || true
	make -C doc/tutorial/ veryclean
	make -C doc/user_guide/ veryclean
	make -C utility/w90vdw/doc veryclean
	rm -f doc/tutorial/tutorial.bbl doc/tutorial/tutorial.blg doc/tutorial/tutorial.out
	rm -f utility/w90pov/doc/w90pov.aux
	rm -f utility/w90pov/doc/w90pov.log
	rm -f utility/w90pov/doc/w90pov.out
	rm -f utility/w90pov/doc/w90pov.pdf
	rm -f utility/w90pov/doc/w90povNotes.bib
	rm -f make.inc w90chk2chk.x
	-test -e debian/test-suite.lst && find test-suite -type f | sort \
		| comm -1 -3 debian/test-suite.lst - | xargs rm -f
	rm -f debian/test-suite.lst

## wannier90 3.1.0%2Bds

=== doc/user_guide/Makefile ===
TEXFILES=$(wildcard *.tex)

user_guide.pdf: $(TEXFILES)
	pdflatex user_guide 
	bibtex user_guide
	pdflatex user_guide
	bibtex user_guide 
	pdflatex user_guide
#	dvips -Ppdf -o user_guide.ps user_guide.dvi
#	ps2pdf user_guide.ps user_guide.pdf

clean :
	rm -f *.aux *.log *.lot *.lof *.toc *.dvi *.bak *~ *.bbl *.blg user_guide.ps *.out

veryclean : clean
	rm -f user_guide.pdf

.PHONY: clean veryclean

=== utility/w90pov/Makefile ===
include ../../make.inc

SRC=src
OBJ=obj
COMPTARGET=w90pov
OBJECTS= \
	$(OBJ)/main.o
GENMODS= \
	$(OBJ)/general.o \
	$(OBJ)/io.o 

MODULES=$(OBJ)/write_df3.o\
	$(OBJ)/driver.o

$(COMPTARGET): $(MODULES) $(OBJECTS) $(GENMODS)
	$(F90) $(FCOPTS) -o $(COMPTARGET) $^

$(OBJ)/write_df3.o: $(GENMODS)
$(OBJ)/driver.o: $(GENMODS)
$(OBJ)/main.o: $(GENMODS) $(MODULES)
$(OBJ)/io.o: $(OBJ)/general.o

$(OBJ)/%.o : $(SRC)/%.f90
	$(F90) $(FCOPTS) -c $< -o $@

$(OBJ)/%.o : $(SRC)/%.c
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -fr $(COMPTARGET) $(OBJ)/*.o *.mod

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export LIBDIR = /usr/lib/$(DEB_TARGET_MULTIARCH)
 
 %:
 	dh $@ --no-parallel
@@ -13,8 +16,11 @@
 override_dh_auto_build:
 	mkdir --parents utility/w90pov/obj
 	dh_auto_build -- all doc
-	(cd utility/w90pov/doc/; pdflatex w90pov.tex)
+	cd utility/w90pov/doc/ && FORCE_SOURCE_DATE=1 pdflatex w90pov.tex
 	make -C utility/w90vdw/doc
+
+override_dh_auto_install:
+	dh_auto_install -- LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -38,7 +44,7 @@
 	rm -f utility/w90pov/doc/w90pov.out
 	rm -f utility/w90pov/doc/w90pov.pdf
 	rm -f utility/w90pov/doc/w90povNotes.bib
-	rm -f make.inc w90chk2chk.x
+	rm -f make.inc *.x libwannier.a
 	-test -e debian/test-suite.lst && find test-suite -type f | sort \
 		| comm -1 -3 debian/test-suite.lst - | xargs rm -f
 	rm -f debian/test-suite.lst

## wannier90 3.1.0+ds

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,19 @@
 
 default: wannier post
 
-all: wannier lib post w90chk2chk w90pov w90vdw
+PREFIX ?= /usr
+
+install: default
+	install -d $(DESTDIR)$(PREFIX)/bin/
+	for x in wannier90.x postw90.x w90chk2chk.x w90spn2spn.x ; do \
+		if [ -f "$$x" ]; then install -m755 "$$x" "$(DESTDIR)$(PREFIX)/bin/$$x"; fi; \
+	done
+	if [ -f "utility/w90pov/w90pov" ]; then install -m755 "utility/w90pov/w90pov" "$(DESTDIR)$(PREFIX)/bin/w90pov"; fi;
+	if [ -f "utility/w90vdw/w90vdw.x" ]; then install -m755 "utility/w90vdw/w90vdw.x" "$(DESTDIR)$(PREFIX)/bin/w90vdw.x"; fi;
+	install -d $(DESTDIR)$(PREFIX)/lib/
+	if [ -f "libwannier.a" ]; then install -m644 "libwannier.a" "$(DESTDIR)$(PREFIX)/lib/libwannier.a"; fi;
+
+all: wannier lib post w90chk2chk w90pov w90vdw w90spn2spn
 
 doc: thedoc
 
@@ -17,6 +29,9 @@
 
 w90chk2chk: objdir serialobjs
 	(cd $(ROOTDIR)/src/obj && $(MAKE) -f $(REALMAKEFILE) w90chk2chk)
+
+w90spn2spn: objdir serialobjs
+	(cd $(ROOTDIR)/src/obj && $(MAKE) -f $(REALMAKEFILE) w90spn2spn)
 
 wannier: objdir serialobjs
 	(cd $(ROOTDIR)/src/obj && $(MAKE) -f $(REALMAKEFILE) wannier)
@@ -58,7 +73,7 @@
 	cd $(ROOTDIR)/test-suite && ./clean_tests
 
 veryclean: clean
-	cd $(ROOTDIR) && rm -f wannier90.x postw90.x libwannier.a w90chk2chk.x
+	cd $(ROOTDIR) && rm -f wannier90.x postw90.x libwannier.a w90chk2chk.x w90spn2spn.x
 	cd $(ROOTDIR)/doc && rm -f user_guide.pdf tutorial.pdf
 	cd $(ROOTDIR)/doc/user_guide && rm -f user_guide.ps
 	cd $(ROOTDIR)/doc/tutorial && rm -f tutorial.ps 
@@ -68,14 +83,14 @@
 	$(MAKE) -C $(ROOTDIR)/doc/user_guide 
 	$(MAKE) -C $(ROOTDIR)/doc/tutorial 
 
-# For now hardcoded to 3.0.0, and using HEAD
+# For now hardcoded to 3.1.0, and using HEAD
 # Better to get the version from the io.F90 file and use
-# the tag (e.g. v3.0.0) instead of HEAD
+# the tag (e.g. v3.1.0) instead of HEAD
 dist: 
-	cd $(ROOTDIR) && git archive HEAD --prefix=wannier90-3.0.0/ -o wannier90-3.0.0.tar.gz
+	cd $(ROOTDIR) && git archive HEAD --prefix=wannier90-3.1.0/ -o wannier90-3.1.0.tar.gz
 
 dist-legacy:
-	@(cd $(ROOTDIR) && $(TAR) -cz --transform='s,^\./,wannier90-3.0/,' -f wannier90-3.0.tar.gz \
+	@(cd $(ROOTDIR) && $(TAR) -cz --transform='s,^\./,wannier90-3.1/,' -f wannier90-3.1.tar.gz \
 		./src/*.?90 \
 		./src/postw90/*.?90 \
 		./autodoc/README.txt \
@@ -202,4 +217,4 @@
 		then mkdir src/objp ; \
 	fi ) ;
 
-.PHONY: wannier default all doc lib libs post clean veryclean thedoc dist test-serial test-parallel dist-lite objdir objdirp serialobjs tests
+.PHONY: wannier default all doc lib libs post clean veryclean thedoc dist test-serial test-parallel dist-lite objdir objdirp serialobjs tests w90spn2spn install

=== src/Makefile ===
ROOTDIR=..

include ../Makefile

=== doc/solution_booklet/Makefile ===
tutorial.pdf: solution_booklet.tex
	pdflatex solution_booklet.tex 
	bibtex   solution_booklet
	pdflatex solution_booklet.tex
	bibtex   solution_booklet
	pdflatex solution_booklet.tex
#	mv solution_booklet.pdf ../
#	dvips -Ppdf -o solution_booklet.ps solution_booklet.dvi
#	ps2pdf solution_booklet.ps solution_booklet.pdf

clean :
	/bin/rm -f *.aux *.log *.lot *.lof *.toc *.dvi *.bak *~ *.ps *.out *.bbl *.blg

veryclean : clean
	rm -f solution_booklet.pdf

.PHONY:	clean veryclean

=== test-suite/library-mode-test/Makefile ===
include ../../make.inc

include ../../src/Makefile.header

ifdef COMMS
COMMS := $(strip $(COMMS))
else
COMMS = serial
endif
# Only works in serial for now
# Otherwise, in the future, put back the logic here from 
# Makefile.2
#COMMS = serial

ifeq ($(COMMS),mpi)
TEMP1 = -DMPI
TEMP2 = $(MPIF90)
else
TEMP1 =
TEMP2 = $(F90)
endif

librarytest: POSTOPTS = $(TEMP1) 
librarytest: COMPILER = $(TEMP2)
librarytest: test_library_serial.x

test_library_serial.x: test_library.F90 $(LIBRARY)
	$(COMPILER) $< $(POSTOPTS) $(LDOPTS) $(LIBRARY) $(LIBS) -o $@

clean:
	rm -f test_library_serial.x *~

.PHONY: clean librarytest

=== test-suite/checkpoints/gaas_shc_postw90/Makefile ===
all: $(patsubst %.win, %.chk.fmt.bz2, $(wildcard *.win))

%.chk.fmt.bz2: %.win %.mmn %.amn
	$(eval SEEDNAME:=$(patsubst %.win, %, $<))
	echo $(SEEDNAME)
	../../../wannier90.x $< && ../../../w90chk2chk.x -u2f $(SEEDNAME) && bzip2 $(SEEDNAME).chk.fmt && rm $(SEEDNAME).chk

%.mmn: %.mmn.bz2
	$(eval SEEDNAME:=$(patsubst %.mmn.bz2, %, $<))
	echo $(SEEDNAME)
	cat $< | bunzip2 - > $(SEEDNAME).mmn

%.amn: %.amn.bz2
	$(eval SEEDNAME:=$(patsubst %.amn.bz2, %, $<))
	echo $(SEEDNAME)
	cat $< | bunzip2 - > $(SEEDNAME).amn

.PHONY: all

=== test-suite/tests/testpostw90_fe_kpathcurv/Makefile ===
all: $(patsubst %.chk.fmt.bz2, %.chk, $(wildcard *.chk.fmt.bz2)) $(patsubst %.mmn.bz2, %.mmn, $(wildcard *.mmn.bz2)) $(patsubst %.uHu.bz2, %.uHu, $(wildcard *.uHu.bz2))

%.chk: %.chk.fmt.bz2
	$(eval SEEDNAME:=$(patsubst %.chk.fmt.bz2, %, $<))
	echo $(SEEDNAME)
	cat $< | bunzip2 - > $(SEEDNAME).chk.fmt && ../../../w90chk2chk.x -f2u $(SEEDNAME) && rm $(SEEDNAME).chk.fmt

%.uHu: %.uHu.bz2
	$(eval SEEDNAME:=$(patsubst %.uHu.bz2, %, $<))
	echo $(SEEDNAME)
	cat $< | bunzip2 - > $(SEEDNAME).uHu 

%.mmn: %.mmn.bz2
	$(eval SEEDNAME:=$(patsubst %.mmn.bz2, %, $<))
	echo $(SEEDNAME)
	cat $< | bunzip2 - > $(SEEDNAME).mmn


.PHONY: all

=== test-suite/tests/testpostw90_gaas_shc/Makefile ===
all: $(patsubst %.chk.fmt.bz2, %.chk, $(wildcard *.chk.fmt.bz2)) $(patsubst %.mmn.bz2, %.mmn, $(wildcard *.mmn.bz2)) $(patsubst %.amn.bz2, %.amn, $(wildcard *.amn.bz2)) $(patsubst %.spn.bz2, %.spn, $(wildcard *.spn.bz2))

%.chk: %.chk.fmt.bz2
	$(eval SEEDNAME:=$(patsubst %.chk.fmt.bz2, %, $<))
	echo $(SEEDNAME)
	cat $< | bunzip2 - > $(SEEDNAME).chk.fmt && ../../../w90chk2chk.x -f2u $(SEEDNAME) && rm $(SEEDNAME).chk.fmt

%.mmn: %.mmn.bz2
	$(eval SEEDNAME:=$(patsubst %.mmn.bz2, %, $<))
	echo $(SEEDNAME)
	cat $< | bunzip2 - > $(SEEDNAME).mmn

%.amn: %.amn.bz2
	$(eval SEEDNAME:=$(patsubst %.amn.bz2, %, $<))
	echo $(SEEDNAME)
	cat $< | bunzip2 - > $(SEEDNAME).amn

%.spn: %.spn.bz2
	$(eval SEEDNAME:=$(patsubst %.spn.bz2, %, $<))
	echo $(SEEDNAME)
	cat $< | bunzip2 - > $(SEEDNAME).spn


.PHONY: all

=== debian/changelog ===
wannier90 (3.1.0+ds-4) unstable; urgency=medium

  * Making build reproducible by forcing source date for building w90pov.pdf.
  * Adding 'Rules-Requires-Root: no'.

 -- Andrius Merkys <merkys@debian.org>  Thu, 17 Sep 2020 03:04:45 -0400

wannier90 (3.1.0+ds-3) unstable; urgency=medium

  * Bumping debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Tue, 21 Jul 2020 23:50:24 -0400

wannier90 (3.1.0+ds-2) unstable; urgency=medium

  [ Michael Banck ]
  * debian/control (libwannier90-dev): New package.
  * debian/patches/libwannier_makefile.patch: New patch, add Makefile support
    to install the static library into a configurable libdir and the Fortran90
    modules into /usr/include.
  * debian/rules (override_dh_auto_install): New target, overrides LIBDIR for
    the install target with the proper multiarch libdir.

  [ Andrius Merkys ]
  * Switching to debhelper-compat dependency.

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Jul 2020 03:43:38 -0400

wannier90 (3.1.0+ds-1) unstable; urgency=medium

  * New upstream version 3.1.0+ds
  * Refreshing patches.
  * Simplifying debian/wannier90.install.
  * Moving manpages to debian/man/.
  * Adding a manpage for w90spn2spn.x.1.
  * Improving the cleaning action.

 -- Andrius Merkys <merkys@debian.org>  Thu, 26 Mar 2020 03:27:13 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  gfortran,
  ghostscript,
  libblas-dev,
@@ -21,6 +21,7 @@
 Homepage: http://www.wannier.org
 Vcs-Git: https://salsa.debian.org/science-team/wannier90.git
 Vcs-Browser: https://salsa.debian.org/science-team/wannier90
+Rules-Requires-Root: no
 
 Package: wannier90
 Architecture: any
@@ -46,3 +47,15 @@
  .
  This package provides Wannier90 documentation, examples and a limited set of
  pseudo-potentials.
+
+Package: libwannier90-dev
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Maximally Localized Wannier Functions - development library
+ Wannier90 is an electronic-structure software computing
+ maximally-localized Wannier functions (MLWF). It works on top of other
+ electronic-structure software, such as Abinit, FLEUR, and PwSCF.
+ .
+ This package provides the Wannier90 static library.

=== debian/tests/control ===
Tests: upstream
Depends:
 wannier90,
 python3,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wannier90-$1.tar.gz%,repack,compression=xz,repacksuffix=+ds,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//" \
 https://github.com/wannier-developers/wannier90/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
